VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Command::Info Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Command::Info:

## Avaliable Methods
public method | get_output_field_list ()
public method | set_description ()
public method | set_output_field_list ()
public method | get_formatter ()
public method | set_formatter ()
public method | get_operation_id ()
public method | set_identity ()
public method | set_operation_id ()
public method | get_identity ()
public method | get_description ()
public method | set_service_id ()
public method | get_service_id ()
public method | set_options ()
public method | get_options ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Command::Info` class contains information about a command. It includes the identity of the command, a description, information about the interface and method that implement the command, and CLI-specific information for the command.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The text description displayed to the user in help output. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_formatter | ( |  | ) |

Gets the value of 'formatter' property.

Return values

  formatter | - The current value of the field. The formatter to use when displaying the output of this command. Optional#

Code:
click to view
# Number of lines of code in get_formatter: 4
sub get_formatter {
my ($self, %args) = @_;
return $self->{'formatter'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_identity | ( |  | ) |

Gets the value of 'identity' property.

Return values

  identity | - The current value of the field. Basic command identity. Identity#

Code:
click to view
# Number of lines of code in get_identity: 4
sub get_identity {
my ($self, %args) = @_;
return $self->{'identity'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_operation_id | ( |  | ) |

Gets the value of 'operation_id' property.

Return values

  operation_id | - The current value of the field. The operation identifier corresponding to this CLI command. ID#

Code:
click to view
# Number of lines of code in get_operation_id: 4
sub get_operation_id {
my ($self, %args) = @_;
return $self->{'operation_id'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_options | ( |  | ) |

Gets the value of 'options' property.

Return values

  options | - The current value of the field. The input for this command. List#

Code:
click to view
# Number of lines of code in get_options: 4
sub get_options {
my ($self, %args) = @_;
return $self->{'options'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_output_field_list | ( |  | ) |

Gets the value of 'output_field_list' property.

Return values

  output_field_list | - The current value of the field. List of output structure name and output field info. List#

Code:
click to view
# Number of lines of code in get_output_field_list: 4
sub get_output_field_list {
my ($self, %args) = @_;
return $self->{'output_field_list'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::get_service_id | ( |  | ) |

Gets the value of 'service_id' property.

Return values

  service_id | - The current value of the field. The service identifier that contains the operations for this CLI command. ID#

Code:
click to view
# Number of lines of code in get_service_id: 4
sub get_service_id {
my ($self, %args) = @_;
return $self->{'service_id'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Command::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{identity} = $args{'identity'};
$self->{description} = $args{'description'};
$self->{service_id} = $args{'service_id'};
$self->{operation_id} = $args{'operation_id'};
$self->{options} = $args{'options'};
$self->{formatter} = $args{'formatter'};
$self->{output_field_list} = $args{'output_field_list'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Command::Info');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.cli.command.info');
$self->set_binding_field('key' => 'identity', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::Identity'));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'service_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'operation_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'options', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::OptionInfo')));
$self->set_binding_field('key' => 'formatter', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::FormatterType')));
$self->set_binding_field('key' => 'output_field_list', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::OutputInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The text description displayed to the user in help output.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_formatter | ( |  | ) |

Sets the given value for 'formatter' property.

Parameters

  formatter | - New value for the field. The formatter to use when displaying the output of this command.

Code:
click to view
# Number of lines of code in set_formatter: 5
sub set_formatter {
my ($self, %args) = @_;
$self->{'formatter'} = $args{'formatter'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_identity | ( |  | ) |

Sets the given value for 'identity' property.

Parameters

  identity | - New value for the field. Basic command identity.

Code:
click to view
# Number of lines of code in set_identity: 5
sub set_identity {
my ($self, %args) = @_;
$self->{'identity'} = $args{'identity'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_operation_id | ( |  | ) |

Sets the given value for 'operation_id' property.

Parameters

  operation_id | - New value for the field. The operation identifier corresponding to this CLI command.

Code:
click to view
# Number of lines of code in set_operation_id: 5
sub set_operation_id {
my ($self, %args) = @_;
$self->{'operation_id'} = $args{'operation_id'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_options | ( |  | ) |

Sets the given value for 'options' property.

Parameters

  options | - New value for the field. The input for this command.

Code:
click to view
# Number of lines of code in set_options: 5
sub set_options {
my ($self, %args) = @_;
$self->{'options'} = $args{'options'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_output_field_list | ( |  | ) |

Sets the given value for 'output_field_list' property.

Parameters

  output_field_list | - New value for the field. List of output structure name and output field info.

Code:
click to view
# Number of lines of code in set_output_field_list: 5
sub set_output_field_list {
my ($self, %args) = @_;
$self->{'output_field_list'} = $args{'output_field_list'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::Info::set_service_id | ( |  | ) |

Sets the given value for 'service_id' property.

Parameters

  service_id | - New value for the field. The service identifier that contains the operations for this CLI command.

Code:
click to view
# Number of lines of code in set_service_id: 5
sub set_service_id {
my ($self, %args) = @_;
$self->{'service_id'} = $args{'service_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Command.pm